<template>
 <div >
     <search-bar></search-bar>
     <table class="table table-striped- table-bordered table-hover table-checkable" id="m_table_1">
       <thead class="thead-custome">
            <tr>
               <th>{{$t('global.no')}}</th>
               <th>{{$t('end_item.code')}}</th>
               <th>{{$t('inward.m7_number')}}</th>
               <th>{{$t('inward.inward_date')}}</th>
               <th>{{$t('inward.department')}}</th>
               <th>{{$t('inward.store_keeper')}}</th>
               <th>{{$t('inward.warranty')}}</th>
               <th>{{$t('global.opreation')}}</th>
            </tr>
        </thead>
        <tbody>
            <tr v-for="(item,index) in main_data" :key="item.id" :id="item.id">
                <td>{{index+=1}}</td>
                <td>{{item.end_item_details.item_details_code}}</td>
                <td>{{item.m7_number}}</td>
                <td>{{item.inward_date}}</td>
                <td>{{item.dept_id}}</td>
                <td>{{item.store_keeper_id}}</td>
                <td>{{item.warranty}}</td>
                <td>
                    <router-link :to="'/items/inward/view/'+item.id">
                        <i class="fa fa-eye"></i>
                    </router-link>
                    <router-link :to="'/items/inward/edit/'+item.id">
                        <i class="fa fa-edit"></i>
                    </router-link>
                    <div class="badge delete" @click="deletData(item.id)">
                        <i class="fa fa-trash"></i>
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
</div>
</template>
<script>
    import SearchBar from '../table_component/SearchBare.vue';
    import SubmitForm from '../../router/SubmitForm.js';
    export default {
        mixins: [SubmitForm],
        name: 'PurchaseIndex',
        components: {
            'search-bar': SearchBar
        },
        data() {
            return {
                'url': 'api/inward'
            }
        },
        created(){
            this.getData();
        }
    }
</script>
